"use strict";
const common_vendor = require("../../common/vendor.js");
const INDEX_asset_houses_method = require("./method.js");
const INDEX_asset_houses_model = require("./model.js");
require("../../common/libraries/request.js");
const common_store_useWeAppAuthStore = require("../../common/store/useWeAppAuthStore.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/apiLoading.js");
require("../../gen/Apis.js");
require("../../common/libraries/naviHelper.js");
require("../../common/libraries/userUserLogin.js");
require("../../common/libraries/setTabBar.js");
if (!Array) {
  const _easycom_cc_scroll_loading2 = common_vendor.resolveComponent("cc-scroll-loading");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  (_easycom_cc_scroll_loading2 + _easycom_uni_icons2)();
}
const _easycom_cc_scroll_loading = () => "../../common/components/cc-scroll-loading/cc-scroll-loading.js";
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  (MyMeHouseItem + MyMeReviewItem + _easycom_cc_scroll_loading + _easycom_uni_icons)();
}
const MyMeHouseItem = () => "./components/MeHouseItem.js";
const MyMeReviewItem = () => "./components/MeReviewItem.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const auth = common_store_useWeAppAuthStore.useWeAppAuthStore();
    common_vendor.onShow(() => {
      var _a, _b;
      INDEX_asset_houses_model.useModel.selectedHouseEd.value = { id: ((_b = (_a = auth == null ? void 0 : auth.data) == null ? void 0 : _a.selected_house) == null ? void 0 : _b.id) || "" };
    });
    common_vendor.onLoad((opt) => {
      var _a;
      INDEX_asset_houses_model.useModel.dataList.value = [];
      INDEX_asset_houses_model.useModel.currentTabs.value = (opt == null ? void 0 : opt.type) === "1" ? 1 : 0;
      (_a = INDEX_asset_houses_method.method) == null ? void 0 : _a.handleLoadMore(1);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k;
      return common_vendor.e({
        a: ((_b = (_a = common_vendor.unref(INDEX_asset_houses_model.useModel)) == null ? void 0 : _a.currentTabs) == null ? void 0 : _b.value) === 0
      }, ((_d = (_c = common_vendor.unref(INDEX_asset_houses_model.useModel)) == null ? void 0 : _c.currentTabs) == null ? void 0 : _d.value) === 0 ? {} : {}, {
        b: ((_f = (_e = common_vendor.unref(INDEX_asset_houses_model.useModel)) == null ? void 0 : _e.currentTabs) == null ? void 0 : _f.value) === 1
      }, ((_h = (_g = common_vendor.unref(INDEX_asset_houses_model.useModel)) == null ? void 0 : _g.currentTabs) == null ? void 0 : _h.value) === 1 ? {} : {}, {
        c: common_vendor.o((_i = common_vendor.unref(INDEX_asset_houses_method.method)) == null ? void 0 : _i.handleLoadMore),
        d: common_vendor.p({
          meta: (_k = (_j = common_vendor.unref(INDEX_asset_houses_model.useModel)) == null ? void 0 : _j.meta) == null ? void 0 : _k.value
        }),
        e: common_vendor.p({
          type: "plusempty",
          color: "#666",
          size: "15"
        }),
        f: common_vendor.o(
          //@ts-ignore
          (...args) => {
            var _a2, _b2;
            return ((_a2 = common_vendor.unref(INDEX_asset_houses_method.method)) == null ? void 0 : _a2.hadnleNewBindingHouse) && ((_b2 = common_vendor.unref(INDEX_asset_houses_method.method)) == null ? void 0 : _b2.hadnleNewBindingHouse(...args));
          }
        )
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/INDEX/asset_houses/index.vue"]]);
wx.createPage(MiniProgramPage);
